function entity_particles
#Battery
scoreboard objectives add battery1 dummy
scoreboard players add @a[tag=cyberbattery] battery1 -1
scoreboard players set @a[scores={battery1=..1}] battery1 1
effect @a[scores={battery1=..1}] weakness 1 255 true
effect @a[scores={battery1=..1}] darkness 1 255 true
effect @a[scores={battery1=..1}] slowness 1 4 true
effect @a[scores={battery1=..1}] mining_fatigue 1 2 true
effect @a[scores={battery1=..1}] hunger 1 20 true

effect @a[scores={battery1=3..}] saturation 1 1 true

execute as @a[scores={battery1=18000}] at @s positioned ~~~ run say Battery: §a75%
execute as @a[scores={battery1=12000}] at @s positioned ~~~ run say Battery: §650%
execute as @a[scores={battery1=6000}] at @s positioned ~~~ run say Battery: §e25%

#Charge
execute as @e[type=minecraft:ender_crystal] at @s positioned ~~~ run scoreboard players add @a[r=2,c=3] battery1 11

#BatteryTell
execute as @a[tag=cyberbattery,scores={battery1=..1}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 0%"}]}
execute as @a[tag=cyberbattery,scores={battery1=2..1199}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 5%"}]}
execute as @a[tag=cyberbattery,scores={battery1=1200..2399}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 10%"}]}
execute as @a[tag=cyberbattery,scores={battery1=2400..3599}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 15%"}]}
execute as @a[tag=cyberbattery,scores={battery1=3600..4799}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 20%"}]}
execute as @a[tag=cyberbattery,scores={battery1=4800..5999}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 25%"}]}
execute as @a[tag=cyberbattery,scores={battery1=6000..7199}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 30%"}]}
execute as @a[tag=cyberbattery,scores={battery1=7200..8399}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 35%"}]}
execute as @a[tag=cyberbattery,scores={battery1=8400..9599}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 40%"}]}
execute as @a[tag=cyberbattery,scores={battery1=9600..10799}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 45%"}]}
execute as @a[tag=cyberbattery,scores={battery1=10800..12999}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 50%"}]}
execute as @a[tag=cyberbattery,scores={battery1=13000..14199}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 55%"}]}
execute as @a[tag=cyberbattery,scores={battery1=14200..15399}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 60%"}]}
execute as @a[tag=cyberbattery,scores={battery1=15400..16599}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 65%"}]}
execute as @a[tag=cyberbattery,scores={battery1=16600..17799}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 70%"}]}
execute as @a[tag=cyberbattery,scores={battery1=17800..18999}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 75%"}]}
execute as @a[tag=cyberbattery,scores={battery1=19000..20199}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 80%"}]}
execute as @a[tag=cyberbattery,scores={battery1=20200..21399}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 85%"}]}
execute as @a[tag=cyberbattery,scores={battery1=21400..22599}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 90%"}]}
execute as @a[tag=cyberbattery,scores={battery1=22600..23799}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 95%"}]}
execute as @a[tag=cyberbattery,scores={battery1=23800..}] at @s positioned ~~~ run titleraw @s actionbar {"rawtext":[{"text":"Battery 100%"}]}

#PrimeUpgrade
scoreboard objectives add prime dummy
scoreboard players add @a prime 0
scoreboard players set @a[scores={prime=6..}] prime 5
scoreboard objectives add primetimer dummy
scoreboard players add @a primetimer 0
scoreboard players set @a[scores={primetimer=100..}] primetimer 0

scoreboard players add @a[scores={prime=1}]  primetimer 1
effect @a[scores={primetimer=99..,prime=1}] health_boost 7 1 true
scoreboard players add @a[scores={prime=2}]  primetimer 1
effect @a[scores={primetimer=99..,prime=2}] health_boost 7 2 true
scoreboard players add @a[scores={prime=3}]  primetimer 1
effect @a[scores={primetimer=99..,prime=3}] health_boost 7 5 true
scoreboard players add @a[scores={prime=4}]  primetimer 1
effect @a[scores={primetimer=99..,prime=4}] health_boost 7 7 true
scoreboard players add @a[scores={prime=5}]  primetimer 1
effect @a[scores={primetimer=99..,prime=5}] health_boost 7 9 true

#Body
effect @a[scores={nanoblood1=99..}] regeneration 15 1 true
effect @a[scores={resistance1=99..}] resistance 15 0 true
effect @a[scores={resistance2=99..}] resistance 15 1 true

#Arm
effect @a[scores={battery1=1..,haste1=99..}] haste 15 1 true
effect @a[scores={strength1=99..}] strength 15 0 true
effect @a[scores={strength2=99..}] strength 15 1 true

#Legs
effect @a[tag=nanobloodlegs] speed 5 1 true
effect @a[tag=steellegs] jump_boost 5 1 true
effect @a[tag=diamondlegs] jump_boost 5 2 true
effect @a[tag=diamondlegs] speed 5 2 true

#Ventilation
effect @a[tag=ventilator] fire_resistance 5 1 true

#visor
effect @a[hasitem={item=trs:visor,location=slot.armor.head}] night_vision 2 30 true

#helmet
effect @a[hasitem={item=trs:battle_helmet,location=slot.armor.head}] night_vision 2 1 true
#EffectsBody
scoreboard objectives add nanoblood1 dummy
scoreboard players add @a[tag=nanobloodbody] nanoblood1 1
scoreboard players set @a[scores={nanoblood1=100..}] nanoblood1 0

scoreboard objectives add resistance1 dummy
scoreboard players add @a[tag=steelbody] resistance1 1
scoreboard players set @a[scores={resistance1=100..}] resistance1 0

scoreboard objectives add resistance2 dummy
scoreboard players add @a[tag=diamondbody] resistance2 1
scoreboard players set @a[scores={resistance2=100..}] resistance2 0

#EffectsArm
scoreboard objectives add haste1 dummy
scoreboard players add @a[tag=nanobloodarm] haste1 1
scoreboard players set @a[scores={nanobloodarm1=100..}] nanoblood1 0

scoreboard objectives add strength1 dummy
scoreboard players add @a[tag=steelarm] strength1 1
scoreboard players set @a[scores={strength1=100..}] strength1 0

scoreboard objectives add strength2 dummy
scoreboard players add @a[tag=diamondarm] strength2 1
scoreboard players set @a[scores={strength2=100..}] strength2 0
